From 694692ec020797c324d95299a53ec9ca80c7e352 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Sun, 22 Sep 2019 11:43:25 +0200
Subject: Fix PDF build

---
 Makefile                                      |   2 +-
 .../_styles/static/images/libraries/zend.gif  | Bin 2378 -> 0 bytes
 .../_styles/static/images/libraries/zend.png  | Bin 0 -> 4201 bytes
 source/development/plugins.rst                |  45 ++++++++----------
 source/development/technical_infos.rst        |   2 +-
 source/index.rst                              |   2 +-
 6 files changed, 24 insertions(+), 27 deletions(-)
 delete mode 100644 source/_styles/static/images/libraries/zend.gif
 create mode 100644 source/_styles/static/images/libraries/zend.png

diff --git a/Makefile b/Makefile
index 2f5a7b2..ff1603f 100644
--- a/Makefile
+++ b/Makefile
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
-PAPER         = a4
+PAPER         = a4paper
 BUILDDIR      = build
 
 # Internal variables.
diff --git a/source/_styles/static/images/libraries/zend.gif b/source/_styles/static/images/libraries/zend.gif
deleted file mode 100644
index 27fb6859b1fc77eb564263ca68bfa5b0a459400a..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/source/_styles/static/images/libraries/zend.png b/source/_styles/static/images/libraries/zend.png
new file mode 100644
index 0000000000000000000000000000000000000000..a5506fbb3999398020474895ce45a61487237147
GIT binary patch
diff --git a/source/development/plugins.rst b/source/development/plugins.rst
index bfa1771..a64865a 100644
--- a/source/development/plugins.rst
+++ b/source/development/plugins.rst
@@ -566,45 +566,42 @@ Hiérarchie
 
 Au final, la hiérarchie d'un plugin devrait ressembler à ça :
 
-* |folder| `plugins`
+* |folder| `galette-monplugin`
 
-  * |folder| `galette-monplugin`
+  * |folder| `includes`
 
-    * |folder| `includes`
+    * |file| `...`
 
-      * |file| `...`
+  * |folder| `lang`
 
-    * |folder| `lang`
+    * |file| `...`
 
-      * |file| `...`
+  * |folder| `lib`
 
-    * |folder| `lib`
+    * |folder| `GaletteMonPlugin`
 
-      * |folder| `GaletteMonPlugin`
+      * |phpfile| `...`
 
-        * |phpfile| `...`
+  * |folder| `templates`
 
-    * |folder| `templates`
+    * |folder| `default`
 
-      * |folder| `default`
+      * |file| `headers.tpl`
+      * |file| `menu.tpl`
+      * |file| `...`
 
-        * |file| `headers.tpl`
-        * |file| `menu.tpl`
-        * |file| `...`
+  * |folder| webroot
 
-    * |folder| webroot
+    * |file| `...`
+    * |folder| `images`
 
       * |file| `...`
 
-        * |folder| `images`
-
-          * |file| `...`
-
-    * |phpfile| `_config.inc.php`
-    * |phpfile| `_define.php`
-    * |phpfile| `_smarties.php`
-    * |phpfile| `_routes.php`
-    * |file| `...`
+  * |phpfile| `_config.inc.php`
+  * |phpfile| `_define.php`
+  * |phpfile| `_smarties.php`
+  * |phpfile| `_routes.php`
+  * |file| `...`
 
 Pour le reste... Il suffit de vous armer du `manuel PHP <http://fr.php.net/manual/fr/>`_, du `manuel Smarty <http://www.smarty.net/manual/fr/>`_, d'un client de messagerie email pour `contacter les listes de diffusion <http://galette.eu/dc/index.php/pages/Contact#mailing_lists>`_, et éventuellement d'un `client IRC <http://xchat.org/>`_ pour rejoindre `le canal IRC de Galette <http://galette.eu/dc/index.php/pages/Contact#irc>`_ ;-)
 
diff --git a/source/development/technical_infos.rst b/source/development/technical_infos.rst
index b67610f..f5cfbaf 100644
--- a/source/development/technical_infos.rst
+++ b/source/development/technical_infos.rst
@@ -30,7 +30,7 @@ Là où nous avions auparavant un fichier ``.php`` par page à afficher, tout es
 Zend DB
 -------
 
-.. image:: ../_styles/static/images/libraries/zend.gif
+.. image:: ../_styles/static/images/libraries/zend.png
    :align: right
 
 *Version de la bibliothèque requise :* `2.8.2`
-- 
2.20.1