From 80b6555718b9e04e4da45ba8788c69880f211be8 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Wed, 25 Sep 2019 15:25:00 +0200
Subject: [PATCH 1/5] Change Zend logo

---
 source/_styles/static/images/libraries/zend.gif | Bin 2378 -> 0 bytes
 source/_styles/static/images/libraries/zend.png | Bin 0 -> 8374 bytes
 source/development/technical_infos.rst          |   2 +-
 3 files changed, 1 insertion(+), 1 deletion(-)
 delete mode 100644 source/_styles/static/images/libraries/zend.gif
 create mode 100644 source/_styles/static/images/libraries/zend.png

diff --git a/source/_styles/static/images/libraries/zend.gif b/source/_styles/static/images/libraries/zend.gif
deleted file mode 100644
index 27fb6859b1fc77eb564263ca68bfa5b0a459400a..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/source/_styles/static/images/libraries/zend.png b/source/_styles/static/images/libraries/zend.png
new file mode 100644
index 0000000000000000000000000000000000000000..585d3a1226fa201e0570dc929f5e4e9885494f07
GIT binary patch
diff --git a/source/development/technical_infos.rst b/source/development/technical_infos.rst
index b67610f..f5cfbaf 100644
--- a/source/development/technical_infos.rst
+++ b/source/development/technical_infos.rst
@@ -30,7 +30,7 @@ Là où nous avions auparavant un fichier ``.php`` par page à afficher, tout es
 Zend DB
 -------
 
-.. image:: ../_styles/static/images/libraries/zend.gif
+.. image:: ../_styles/static/images/libraries/zend.png
    :align: right
 
 *Version de la bibliothèque requise :* `2.8.2`
-- 
2.20.1