From b0262b883dbb8094eb468e88b73e5978d103773a Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Wed, 25 Sep 2019 15:30:38 +0200
Subject: [PATCH 3/5] Add Galette logo on the PDF cover page

---
 source/_styles/static/images/galette.pdf | Bin 0 -> 18942 bytes
 source/conf.py                           |   2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)
 create mode 100644 source/_styles/static/images/galette.pdf

diff --git a/source/_styles/static/images/galette.pdf b/source/_styles/static/images/galette.pdf
new file mode 100644
index 0000000000000000000000000000000000000000..e2d7be4c72d1e3329c6fbe4fea1f1c206f4b25c3
GIT binary patch
diff --git a/source/conf.py b/source/conf.py
index f84654c..c7e4296 100644
--- a/source/conf.py
+++ b/source/conf.py
@@ -194,7 +194,7 @@ latex_documents = [
 
 # The name of an image file (relative to this directory) to place at the top of
 # the title page.
-#latex_logo = None
+latex_logo = '_styles/static/images/galette.pdf'
 
 # For "manual" documents, if this is true, then toplevel headings are parts,
 # not chapters.
-- 
2.20.1