From 0c229a183e13de202882cb4d0fa2f3a256e9d588 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Wed, 25 Sep 2019 15:35:25 +0200
Subject: [PATCH 4/5] Add new logos on the technical infos page

---
 .../static/images/libraries/phpmailer.png       | Bin 0 -> 20008 bytes
 .../_styles/static/images/libraries/smarty.png  | Bin 0 -> 9585 bytes
 source/development/technical_infos.rst          |   6 ++++++
 3 files changed, 6 insertions(+)
 create mode 100644 source/_styles/static/images/libraries/phpmailer.png
 create mode 100644 source/_styles/static/images/libraries/smarty.png

diff --git a/source/_styles/static/images/libraries/phpmailer.png b/source/_styles/static/images/libraries/phpmailer.png
new file mode 100644
index 0000000000000000000000000000000000000000..4f3b5c20df6087ccf9e42c716da983674f09bad2
GIT binary patch
diff --git a/source/_styles/static/images/libraries/smarty.png b/source/_styles/static/images/libraries/smarty.png
new file mode 100644
index 0000000000000000000000000000000000000000..ba8ae7c62d59222bc1d17498194f2dbccefbcf4e
GIT binary patch
diff --git a/source/development/technical_infos.rst b/source/development/technical_infos.rst
index f5cfbaf..ab27437 100644
--- a/source/development/technical_infos.rst
+++ b/source/development/technical_infos.rst
@@ -58,6 +58,9 @@ Un système de logs sera assuré par `Analog <https://github.com/jbroadway/analo
 Smarty
 ------
 
+.. image:: ../_styles/static/images/libraries/smarty.png
+   :align: right
+
 *Version de la bibliothèque requise :* `3.1.31`
 
 Pour l'affichage des pages, c'est `le système de template Smarty <http://www.smarty.net/>`_ qui a été retenu. L'ensemble des pages est rendu au format HTML 5.
@@ -94,6 +97,9 @@ Pour rendre plus dynamique l'interface utilisateur, et ainsi améliorer l'expér
 Envoi de courriels
 ------------------
 
+.. image:: ../_styles/static/images/libraries/phpmailer.png
+   :align: right
+
 *Version de la bibliothèque requise :* `5.2.25`
 
 L'envoi de courriels depuis Galette est géré par `la biliothèque phpMailer <http://phpmailer.worxware.com/>`_.
-- 
2.20.1