From 58d22216628c523d1d9e99c135f68beddf6d9f60 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Wed, 25 Sep 2019 15:38:58 +0200
Subject: [PATCH 5/5] Unify the size of the 3rd libraries logos

---
 .../_styles/static/images/libraries/atoum.png | Bin 452 -> 7868 bytes
 .../static/images/libraries/jquery.png        | Bin 23690 -> 11569 bytes
 .../_styles/static/images/libraries/slim.png  | Bin 13185 -> 21832 bytes
 source/development/technical_infos.rst        |   7 +++++++
 4 files changed, 7 insertions(+)

diff --git a/source/_styles/static/images/libraries/atoum.png b/source/_styles/static/images/libraries/atoum.png
index 20176f0df1e1933d5f7f78b6d0faf86490d0b927..8bdab9c3074e37cb7ff07b7da0741249bf2b77c6 100644
GIT binary patch
diff --git a/source/_styles/static/images/libraries/jquery.png b/source/_styles/static/images/libraries/jquery.png
index c25109c2f6bc7a78db310279cb8dad476a6fb6db..0e5b8d2396e28212023ba0bc41223065d657800e 100644
GIT binary patch
diff --git a/source/_styles/static/images/libraries/slim.png b/source/_styles/static/images/libraries/slim.png
index fa1f5be46a5bc9f397706645c7ca746db070586e..ab2bb99de3cb3343bc77e074d7a939caca1a3b50 100644
GIT binary patch
diff --git a/source/development/technical_infos.rst b/source/development/technical_infos.rst
index ab27437..94202cb 100644
--- a/source/development/technical_infos.rst
+++ b/source/development/technical_infos.rst
@@ -15,6 +15,7 @@ Slim
 ----
 
 .. image:: ../_styles/static/images/libraries/slim.png
+   :width: 140px
    :align: right
 
 .. versionadded:: 0.9
@@ -31,6 +32,7 @@ Zend DB
 -------
 
 .. image:: ../_styles/static/images/libraries/zend.png
+   :width: 140px
    :align: right
 
 *Version de la bibliothèque requise :* `2.8.2`
@@ -59,6 +61,7 @@ Smarty
 ------
 
 .. image:: ../_styles/static/images/libraries/smarty.png
+   :width: 140px
    :align: right
 
 *Version de la bibliothèque requise :* `3.1.31`
@@ -71,6 +74,7 @@ TCPDF
 -----
 
 .. image:: ../_styles/static/images/libraries/tcpdf.png
+   :width: 140px
    :align: right
 
 *Version de la bibliothèque requise :* `6.2.13`
@@ -83,6 +87,7 @@ Interface utilisateur
 ---------------------
 
 .. image:: ../_styles/static/images/libraries/jquery.png
+   :width: 140px
    :align: right
 
 *Version de la bibliothèque requise :* `1.10.2` (JQuery), `1.10.3` (UI), `1.1.14` (Markitup)
@@ -98,6 +103,7 @@ Envoi de courriels
 ------------------
 
 .. image:: ../_styles/static/images/libraries/phpmailer.png
+   :width: 140px
    :align: right
 
 *Version de la bibliothèque requise :* `5.2.25`
@@ -110,6 +116,7 @@ Tests unitaires
 ---------------
 
 .. image:: ../_styles/static/images/libraries/atoum.png
+   :width: 140px
    :align: right
 
 Les tests unitaires dans Galette sont exécutés via `le framework de test unitaire Atoum <http://atoum.org>`_.
-- 
2.20.1