From 4569a0055f6b1f744ea921dfc7d965ff44a74ac6 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Wed, 25 Sep 2019 16:01:37 +0200
Subject: [PATCH 1/5] Fix indentation in CSS file

---
 source/_styles/static/galette.css | 516 +++++++++++++++---------------
 1 file changed, 258 insertions(+), 258 deletions(-)

diff --git a/source/_styles/static/galette.css b/source/_styles/static/galette.css
index e3a24b1..de037a0 100644
--- a/source/_styles/static/galette.css
+++ b/source/_styles/static/galette.css
@@ -10,45 +10,45 @@
 @import url("basic.css");
 
 body {
-	background: #636B70 url(images/bg.png) top left no-repeat;
-	padding: 0;
-	margin: 0;
-	font-family: /*Tahoma, */sans-serif;
-	font-size: 0.8125em;
-	line-height: 160%;
+    background: #636B70 url(images/bg.png) top left no-repeat;
+    padding: 0;
+    margin: 0;
+    font-family: /*Tahoma, */sans-serif;
+    font-size: 0.8125em;
+    line-height: 160%;
 }
 
 img, a img {
-	border:none;
+    border:none;
 }
 
 /** Menu related */
 .related {
-	margin: 0 auto;
+    margin: 0 auto;
     clear:both;
 }
 
 .related ul {
-	list-style: none;
-	display:inline;
-	margin: 0;
-	padding: 0;
+    list-style: none;
+    display:inline;
+    margin: 0;
+    padding: 0;
 }
 
 .related ul li {
-	display:inline;
-	margin: 0;
-	margin-right: 0.5em;
+    display:inline;
+    margin: 0;
+    margin-right: 0.5em;
 }
 
 .related .li{
-	display:inline;
+    display:inline;
 }
 .related a {
-	text-decoration: none;
-	border-bottom: none;
-	padding: 0 0.4em;
-	color:#636b70!important;
+    text-decoration: none;
+    border-bottom: none;
+    padding: 0 0.4em;
+    color:#636b70!important;
 }
 
 #page div.related:first-child a:hover {
@@ -57,9 +57,9 @@ img, a img {
 }
 
 .related li {
-	margin: 0;
-	padding: 0;
-	position: relative;
+    margin: 0;
+    padding: 0;
+    position: relative;
 }
 /** /Menu related */
 
@@ -215,14 +215,14 @@ h2,
 h3,
 h4,
 h5 {
-	border: none;
-	font-weight: normal;
-	color: #666;
-	background-color: inherit;
-	font-size: 100%;
-	margin: 0 0 1em 0;
-	padding: 0.5em 0 0 0;
-	clear: left;
+    border: none;
+    font-weight: normal;
+    color: #666;
+    background-color: inherit;
+    font-size: 100%;
+    margin: 0 0 1em 0;
+    padding: 0.5em 0 0 0;
+    clear: left;
 }
 
 h1 a,
@@ -231,8 +231,8 @@ h3 a,
 h4 a,
 h5 a,
 a.nolink {
-	color: #636b70 !important;
-	text-decoration: none !important;
+    color: #636b70 !important;
+    text-decoration: none !important;
 }
 
 h2, h3, h4 {
@@ -243,125 +243,125 @@ h2, h3, h4 {
 
 /* special headlines */
 h1 {
-	font-size: 180%;
-	/*padding:0 0 0 20px;*/
-	margin:.5em 0 .3em;
-	/*background:url(images/gbullet2.png) 0 50% no-repeat;*/
+    font-size: 180%;
+    /*padding:0 0 0 20px;*/
+    margin:.5em 0 .3em;
+    /*background:url(images/gbullet2.png) 0 50% no-repeat;*/
     text-shadow: 1px 1px 1px rgba(242, 161, 4, 0.5);
     color: #6B6B6B;
     border-bottom: 1px solid #F2A104;
 }
 h2 {
-	font-size: 160%;
-	margin-left: 10px; 
+    font-size: 160%;
+    margin-left: 10px;
 }
 h3 {
-	font-size: 150%;
-	margin-left: 20px; 
+    font-size: 150%;
+    margin-left: 20px;
 }
 h4 {
-	font-size: 140%;
-	margin-left: 35px;
+    font-size: 140%;
+    margin-left: 35px;
 }
 h5 {
-	font-size: 130%;
-	margin-left: 50px;
+    font-size: 130%;
+    margin-left: 50px;
 }
 
 /* --------------- Links ------------------ */
 
 a:link,
 a:visited {
-	color: #279AC4;
-	text-decoration: none;
+    color: #279AC4;
+    text-decoration: none;
 }
 a:visited {
-	color: #708fab;
+    color: #708fab;
 }
 a:hover,
 a:active {
-	color: #708fab;
-	text-decoration: underline;
+    color: #708fab;
+    text-decoration: underline;
 }
 
 /* external link */
 a.urlextern {
-	background: transparent url(images/urlextern.png) 0px 1px no-repeat;
-	padding: 1px 0px 1px 18px;
+    background: transparent url(images/urlextern.png) 0px 1px no-repeat;
+    padding: 1px 0px 1px 18px;
 }
 
 /* windows share */
 a.windows {
-	background: transparent url(images/windows.gif) 0px 1px no-repeat;
-	padding: 1px 0px 1px 18px;
+    background: transparent url(images/windows.gif) 0px 1px no-repeat;
+    padding: 1px 0px 1px 18px;
 }
 
 /* email link */
 a.mail {
-	background: transparent url(images/mail_icon.gif) 0px 1px no-repeat;
-	padding: 1px 0px 1px 18px;
+    background: transparent url(images/mail_icon.gif) 0px 1px no-repeat;
+    padding: 1px 0px 1px 18px;
 }
 
 /* existing wikipage */
 a.wikilink1 {
-	color: #70afab !important;
+    color: #70afab !important;
 }
 
 /* not existing wikipage */
 a.wikilink2 {
-	color: #fd6868 !important;
-	text-decoration: none !important;
-	border-bottom: dashed 1px #fd6868 !important;
+    color: #fd6868 !important;
+    text-decoration: none !important;
+    border-bottom: dashed 1px #fd6868 !important;
 }
 
 pre {
-	font-size: 120%;
-	padding: 0.5em;
-	border: 1px dashed #c4c4c4;
-	color: #666;
-	overflow: auto;
+    font-size: 120%;
+    padding: 0.5em;
+    border: 1px dashed #c4c4c4;
+    color: #666;
+    overflow: auto;
 }
 
 blockquote {
-	border-left: 2px solid #c4c4c4;
-	padding-left: 3px;
+    border-left: 2px solid #c4c4c4;
+    padding-left: 3px;
 }
 
 /* inline code words */
 code {
-	font-size: 120%;
+    font-size: 120%;
 }
 
 /** Form elements */
 input.edit,
 select.edit {
-	font-size: 100%;
-	border: 1px solid #c4c4c4;
-	color: #666;
-	background-color: #fff;
-	vertical-align: middle;
-	margin: 1px;
-	padding: 0.20em 0.3em;
-	display: inline;
+    font-size: 100%;
+    border: 1px solid #c4c4c4;
+    color: #666;
+    background-color: #fff;
+    vertical-align: middle;
+    margin: 1px;
+    padding: 0.20em 0.3em;
+    display: inline;
 }
 
 /* nice alphatransparency background except for IE <7 */
 html>body input.edit,
 html>body select.edit {
-	background:  #fff url(images/inputshadow.png) repeat-x top;
+    background:  #fff url(images/inputshadow.png) repeat-x top;
 }
 
 select.edit {
-	padding: 0.1em 0;
+    padding: 0.1em 0;
 }
 
 /* Search form */
 #dw__search {
-	position:absolute;
-	right:0;
-	top:0;
-	margin-top: 0.2em;
-	margin-right: 0.4em;
+    position:absolute;
+    right:0;
+    top:0;
+    margin-top: 0.2em;
+    margin-right: 0.4em;
 }
 /* /Search form */
 
@@ -369,86 +369,86 @@ select.edit {
 
 input.button,
 button.button {
-	border: 1px solid #c4c4c4;
-	color: #666;
-	background-color: #fff;
-	vertical-align: middle;
-	text-decoration: none;
-	font-size: 100%;
-	cursor: pointer;
-	margin: 1px;
-	padding: 0.125em 0.4em;
-	float: right;
-	display: inline;
+    border: 1px solid #c4c4c4;
+    color: #666;
+    background-color: #fff;
+    vertical-align: middle;
+    text-decoration: none;
+    font-size: 100%;
+    cursor: pointer;
+    margin: 1px;
+    padding: 0.125em 0.4em;
+    float: right;
+    display: inline;
 }
 
 html>body input.button,
 html>body button.button {/* alphatransparency background except for IE <7 */
-	background:  #fff url(images/buttonshadow.png) repeat-x bottom;
+    background:  #fff url(images/buttonshadow.png) repeat-x bottom;
 }
 
 * html input.button,
 * html button.button {
-	height: 1.8em;
+    height: 1.8em;
 }
 
 #dw__search .button{
-	float:none; /*required due to a bug at least in FF 3.0.x */
+    float:none; /*required due to a bug at least in FF 3.0.x */
 }
 
 form {
-	border: none;
-	display: inline;
+    border: none;
+    display: inline;
 }
 
 label.block {
-	display: block;
-	text-align: right;
-	font-weight: bold;
+    display: block;
+    text-align: right;
+    font-weight: bold;
 }
 
 label.simple {
-	display: block;
-	text-align: left;
-	font-weight: normal;
+    display: block;
+    text-align: left;
+    font-weight: normal;
 }
 
 label.block input.edit {
-	width: 50%;
+    width: 50%;
 }
 
 fieldset {
-	width: 300px;
-	text-align: center;
-	border: 1px solid #c4c4c4;
-	padding: 0.5em;
-	margin: auto;
+    width: 300px;
+    text-align: center;
+    border: 1px solid #c4c4c4;
+    padding: 0.5em;
+    margin: auto;
 }
 
 textarea.edit {
-	font-family: monospace;
-	font-size: 14px;
-	color: #666;
-	background-color: #fff;
-	border: 1px solid #c4c4c4;
-	padding: 0.3em 0 0 0.3em;
-	width: 100%;
+    font-family: monospace;
+    font-size: 14px;
+    color: #666;
+    background-color: #fff;
+    border: 1px solid #c4c4c4;
+    padding: 0.3em 0 0 0.3em;
+    width: 100%;
 }
 
 /* nice alphatransparency background except for IE <7 */
 html>body textarea.edit {
-	background:  #fff url(images/inputshadow.png) repeat-x top;
+    background:  #fff url(images/inputshadow.png) repeat-x top;
 }
 
 input.missing {
-	font-size: 100%;
-	border: 1px solid #c4c4c4;
-	color: #666;
-	background-color: #ffcccc;
-	vertical-align: middle;
-	margin: 1px;
-	padding: 0.20em 0.3em;
-	display: inline;
+    font-size: 100%;
+    border: 1px solid #c4c4c4;
+    color: #666;
+    background-color: #ffcccc;
+    vertical-align: middle;
+    margin: 1px;
+    padding: 0.20em 0.3em;
+    display: inline;
 }
 
 /* disabled style - not understood by IE */
@@ -457,14 +457,14 @@ textarea.edit[readonly],
 input.edit[disabled],
 input.edit[readonly],
 select.edit[disabled] {
-	background-color: #f5f5f5!important;
-	color: #666!important;
+    background-color: #f5f5f5!important;
+    color: #666!important;
 }
 
 /* /Buttons */
 
 input#edit__summary {
-	width: 70%;
+    width: 70%;
 }
 
 /** /Form elements */
@@ -473,7 +473,7 @@ input#edit__summary {
 
 /* Overrides doku defaults */
 div#footer img {
-	float: none;
+    float: none;
 }
 /** /Overrides doku defaults */
 
@@ -486,33 +486,33 @@ div#footer img {
 }
 
 #header{
-	position:relative;
+    position:relative;
     height: 100px;
 }
 
 #login__bar{
-	position:absolute;
-	top:0;
-	left:0;
+    position:absolute;
+    top:0;
+    left:0;
 }
 
 #logo a {
-	float: none !important;
-	font-size: 2em;
-	text-decoration: none;
-	color: #ededed !important;
-	background: url(images/galette.png) 0 0 no-repeat;
-	display:block;
-	height:100px;
-	width:208px;
-	text-indent: -5000px;
-	margin:0 auto;
+    float: none !important;
+    font-size: 2em;
+    text-decoration: none;
+    color: #ededed !important;
+    background: url(images/galette.png) 0 0 no-repeat;
+    display:block;
+    height:100px;
+    width:208px;
+    text-indent: -5000px;
+    margin:0 auto;
 }
 
 #page {
-	padding: 0;
-	margin: 0 auto;
-	background-color: #fff;
+    padding: 0;
+    margin: 0 auto;
+    background-color: #fff;
     border-radius: 6px;
     padding: 20px 0 0;
     margin: 0 3em;
@@ -520,23 +520,23 @@ div#footer img {
 }
 
 #doku__footer{
-	background-color: #f8c363;
-	padding:0 1em;
-	font-size: 70%;
-	text-align:right;
+    background-color: #f8c363;
+    padding:0 1em;
+    font-size: 70%;
+    text-align:right;
 }
 
 #doku__footer span.logged_infos {
-	float:left;
+    float:left;
 }
 
 #page_footer{
-	margin-top:.5em;
+    margin-top:.5em;
 }
 
 #footer{
-	padding: .5em .5em 0 .5em;
-	text-align: center;
+    padding: .5em .5em 0 .5em;
+    text-align: center;
     margin-top: 3em;
     font-size: .9em;
 }
@@ -551,160 +551,160 @@ div#footer img {
 /** Header related */
 #login__bar a,
 #header a{
-	color:#FFFFFF;
+    color:#FFFFFF;
 }
 .bchead{
-	font-weight:bold;
+    font-weight:bold;
 }
 #login__bar a{
-	margin-right: .8em;
+    margin-right: .8em;
 }
 /** /Header related */
 
 
 /** TOC */
 div.toc {
-	margin-left: 1em;
-	margin-top: 1.1em;
-	float: right;
-	width: 200px;
-	font-size: 80%;
-	clear: both;
+    margin-left: 1em;
+    margin-top: 1.1em;
+    float: right;
+    width: 200px;
+    font-size: 80%;
+    clear: both;
 }
 
 div.tocheader {
-	border: 1px solid #c4c4c4;
-	background-color: #F8C363;
-	color: #636b70;
-	text-align: center;
-	padding: .2em;
-	line-height: 100%;
+    border: 1px solid #c4c4c4;
+    background-color: #F8C363;
+    color: #636b70;
+    text-align: center;
+    padding: .2em;
+    line-height: 100%;
 }
 
 div.tocheader img {
-	margin-top: 0.1em;
+    margin-top: 0.1em;
 }
 
 #toc__inside {
-	background-color: #fff;
-	border: 1px solid #c4c4c4;
-	border-top:none;
-	text-align: left;
-	padding: 0.5em 0 0.7em 0;
+    background-color: #fff;
+    border: 1px solid #c4c4c4;
+    border-top:none;
+    text-align: left;
+    padding: 0.5em 0 0.7em 0;
 }
 
 #toc__inside ul {
-	margin: 0em;
-	padding-left: 0.8em;
+    margin: 0em;
+    padding-left: 0.8em;
 }
 
 span.toc_open,
 span.toc_close {
-	border: 0.4em solid #F8C363;
-	float: right;
-	display: block;
-	margin: 0.4em 3px 0 0;
+    border: 0.4em solid #F8C363;
+    float: right;
+    display: block;
+    margin: 0.4em 3px 0 0;
 }
 
 span.toc_open span,
 span.toc_close span {
-	display: none;
+    display: none;
 }
 
 span.toc_open {
-	margin-top: 0.4em;
-	border-top: 0.4em solid #666;
+    margin-top: 0.4em;
+    border-top: 0.4em solid #666;
 }
 
 span.toc_close {
-	margin-top: 0;
-	border-bottom: 0.4em solid #666;
+    margin-top: 0;
+    border-bottom: 0.4em solid #666;
 }
 
 ul.toc {
-	list-style-type: none;
-	list-style-image: none;
-	line-height: 1.2em;
-	padding-left: 1em;
-	margin: 0;
+    list-style-type: none;
+    list-style-image: none;
+    line-height: 1.2em;
+    padding-left: 1em;
+    margin: 0;
 }
 
 ul.toc li {
-	background: transparent url(images/tocdot2.gif) 0 0.6em no-repeat;
-	padding-left: 0.4em;
+    background: transparent url(images/tocdot2.gif) 0 0.6em no-repeat;
+    padding-left: 0.4em;
 }
 
 ul.toc li.clear {
-	background-image: none;
-	padding-left: 0.4em;
+    background-image: none;
+    padding-left: 0.4em;
 }
 
 /** /TOC */
 
 /** Action links */
 a.action{
-	padding: 1px 0px 1px 18px;
+    padding: 1px 0px 1px 18px;
 }
 a.login {
-	background: transparent url(images/tool-login.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-login.png) 0px 1px no-repeat;
 }
 
 a.logout {
-	background: transparent url(images/tool-logout.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-logout.png) 0px 1px no-repeat;
 }
 
 a.index {
-	background: transparent url(images/tool-index.png) 1px 1px no-repeat;
+    background: transparent url(images/tool-index.png) 1px 1px no-repeat;
 }
 
 a.recent {
-	background: transparent url(images/tool-recent.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-recent.png) 0px 1px no-repeat;
 }
 
 a.create,
 a.edit,
 a.npd {
-	background: transparent url(images/tool-edit.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-edit.png) 0px 1px no-repeat;
 }
 
 #header a.edit,
 #header a.show,
 #header a.source {
-	position:absolute;
-	bottom:0;
-	left:0;
+    position:absolute;
+    bottom:0;
+    left:0;
 }
 
 a.source,
 a.show {
-	background: transparent url(images/tool-source.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-source.png) 0px 1px no-repeat;
 }
 
 a.admin {
-	background: transparent url(images/tool-admin.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-admin.png) 0px 1px no-repeat;
 }
 
 a.revisions {
-	background: transparent url(images/tool-revisions.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-revisions.png) 0px 1px no-repeat;
 }
 
 a.subscribe,
 a.unsubscribe {
-	background: transparent url(images/tool-subscribe.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-subscribe.png) 0px 1px no-repeat;
 }
 
 a.backlink {
-	background: transparent url(images/tool-backlink.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-backlink.png) 0px 1px no-repeat;
 }
 
 a.profile {
-	background: transparent url(images/tool-profile.png) 0px 1px no-repeat;
+    background: transparent url(images/tool-profile.png) 0px 1px no-repeat;
 }
 
 a.top {
-	background: transparent url(images/tool-top.png) right 2px no-repeat;
-	padding: 0px 20px 0px 0px;
-	float: right;
+    background: transparent url(images/tool-top.png) right 2px no-repeat;
+    padding: 0px 20px 0px 0px;
+    float: right;
 }
 
 /** /Action links */
@@ -720,17 +720,17 @@ div.level5 {margin-left: 53px;}
 
 /* code blocks by indention */
 pre.pre {
-	background-color: #f7f9fa;
+    background-color: #f7f9fa;
 }
 
 /* code blocks by code tag */
 pre.code {
-	background-color: #f7f9fa;
+    background-color: #f7f9fa;
 }
 
 /* code blocks by file tag */
 pre.file {
-	background-color: #F8C363;
+    background-color: #F8C363;
 }
 
 /** /Code blocks */
@@ -738,59 +738,59 @@ pre.file {
 /** Diff rendering */
 
 table.diff {
-	background-color: #fff;
-	width: 100%;
+    background-color: #fff;
+    width: 100%;
 }
 
 td.diff-blockheader {
-	font-weight: bold;
+    font-weight: bold;
 }
 
 table.diff th {
-	border-bottom: 1px solid #c4c4c4;
-	font-size: 110%;
-	width: 50%;
-	font-weight: normal;
-	text-align: left;
+    border-bottom: 1px solid #c4c4c4;
+    font-size: 110%;
+    width: 50%;
+    font-weight: normal;
+    text-align: left;
 }
 
 table.diff th a {
-	font-weight: bold;
+    font-weight: bold;
 }
 
 table.diff th span.user {
-	color: #666;
-	font-size: 80%;
+    color: #666;
+    font-size: 80%;
 }
 
 table.diff th span.sum {
-	font-size: 80%;
-	font-weight: bold;
+    font-size: 80%;
+    font-weight: bold;
 }
 
 table.diff th.minor {
-	font-style: italic;
+    font-style: italic;
 }
 table.diff td {
-	font-family: monospace;
-	font-size: 100%;
+    font-family: monospace;
+    font-size: 100%;
 }
 
 td.diff-addedline {
-	background-color: #ddffdd;
+    background-color: #ddffdd;
 }
 
 td.diff-deletedline {
-	background-color: #ffffbb;
+    background-color: #ffffbb;
 }
 
 td.diff-context {
-	background-color: #f5f5f5;
+    background-color: #f5f5f5;
 }
 
 table.diff td.diff-addedline strong,
 table.diff td.diff-deletedline strong {
-	color: red;
+    color: red;
 }
 
 /** /Diff rendering */
@@ -798,44 +798,44 @@ table.diff td.diff-deletedline strong {
 /** Breadcrumbs */
 
 div.breadcrumbs {
-	background: #636b70;
-	color: #FFFFFF;
-	position:absolute;
-	bottom:0;
-	right:0;
-	font-size: 80%;
-	padding: 0 0 0 .5em;
+    background: #636b70;
+    color: #FFFFFF;
+    position:absolute;
+    bottom:0;
+    right:0;
+    font-size: 80%;
+    padding: 0 0 0 .5em;
 }
 
 /** /Breadcrumbs */
 
 .hidden{
-	display:none;
+    display:none;
 }
 
 /** Used ? */
 .navi_clearer {
-	clear: both;
-	margin-bottom: 1.8em;
+    clear: both;
+    margin-bottom: 1.8em;
 }
 
 div.ajax_qsearch {
-	top: 4em;
-	right: 140px;
-	z-index: 99;
+    top: 4em;
+    right: 140px;
+    z-index: 99;
 }
 
 div.error{
-	position:absolute;
-	top:12.3em;
-	width:40%;
-	margin-left:30%;
-	text-align:center;
+    position:absolute;
+    top:12.3em;
+    width:40%;
+    margin-left:30%;
+    text-align:center;
 }
 
 #plugin__manager .pm_menu{
-	float:none;
-	width:auto;
+    float:none;
+    width:auto;
 }
 
 .docs {
-- 
2.20.1