From d2a5c45c03ff5d07af4510167aa1aa73112bb049 Mon Sep 17 00:00:00 2001
From: Guillaume AGNIERAY <dev@agnieray.net>
Date: Sun, 6 Oct 2019 13:27:37 +0200
Subject: [PATCH] Changes about actual default language; refs #1321

Clean sphinx configuration file from useless settings at the same time.
---
 source/about.rst |   7 ++-
 source/conf.py   | 123 ++++++-----------------------------------------
 2 files changed, 17 insertions(+), 113 deletions(-)

diff --git a/source/about.rst b/source/about.rst
index 8f9df62..853a370 100644
--- a/source/about.rst
+++ b/source/about.rst
@@ -92,16 +92,15 @@ In order to update translations, it is necessary to update POT files from the so
 
    $ sphinx-build -b gettext source source/locale
 
-In order to test your modifications locally on your workstation, you will need to build the documentation using an addtitonnal parameter with the ``make`` command. For example, to build the documentation in HTML in English, run :
+In order to test your modifications locally on your workstation, you will need to build the documentation using an additional parameter with the ``make`` command. For example, to build the documentation in HTML in French, run :
 
 ::
 
-   $ make -e SPHINXOPTS="-D language='en'" html
+   $ make -e SPHINXOPTS="-D language='fr'" html
 
 .. note::
 
-   By default, the ``make`` command will build the documentation in current locale.
-
+   By default, the ``make`` command will build the documentation in English.
 
 How to contribute?
 ==================
diff --git a/source/conf.py b/source/conf.py
index a7b0b64..4b257d5 100644
--- a/source/conf.py
+++ b/source/conf.py
@@ -55,10 +55,6 @@ version = '0.9.3'
 # The full version, including alpha/beta/rc tags.
 release = '0.9.3'
 
-# The language for content autogenerated by Sphinx. Refer to documentation
-# for a list of supported languages.
-language = 'fr'
-
 # There are two options for replacing |today|: either, you set today to some
 # non-false value, then it is used:
 #today = ''
@@ -97,6 +93,20 @@ pygments_style = 'sphinx'
 #modindex_common_prefix = []
 
 
+# -- Internationalization configuration ----------------------------------------
+
+# Directories in which to search for additional message catalogs.
+locale_dirs = ["locale"]
+
+# If true, Sphinx generates uuid information for version tracking in message
+# catalogs.
+gettext_uuid = True
+
+# If true, a document’s text domain is its docname if it is a top-level project
+# file and its very base directory otherwise.
+gettext_compact = False
+
+
 # -- Options for HTML output ---------------------------------------------------
 
 # The theme to use for HTML and HTML Help pages.  See the documentation for
@@ -188,10 +198,6 @@ htmlhelp_basename = 'Galettedoc'
 # The description of the document. The default value is 'unknown'.
 epub_description = 'Documentation de Galette'
 
-# The language of the document. This is put in the Dublin Core metadata. The 
-# default is the language option or 'en' if unset.
-epub_language = 'fr'
-
 # An identifier for the document. This is put in the Dublin Core metadata.
 # For published documents this is the ISBN number, but you can also use an 
 # alternative scheme, e.g. the project homepage. 
@@ -289,104 +295,3 @@ latex_show_urls = 'footnote'
 # If false, no module index is generated.
 #latex_domain_indices = True
 
-
-# -- Options for manual page output --------------------------------------------
-
-# One entry per manual page. List of tuples
-# (source start file, name, description, authors, manual section).
-man_pages = [
-    ('index', 'galette', u'Galette Documentation',
-     [u'Johan Cwiklinski'], 1)
-]
-
-# If true, show URL addresses after external links.
-#man_show_urls = False
-
-# -- Options for PDF output --------------------------------------------------
-
-#Grouping the document tree into PDF files. List of tuples
-#(source start file, target name, title, author, options).
-#If there is more than one author, separate them with \\.
-#For example: r'Guido van Rossum\\Fred L. Drake, Jr., editor'
-#The options element is a dictionary that lets you override
-#this config per-document.
-#For example,
-#('index', u'MyProject', u'My Project', u'Author Name',
-#dict(pdf_compressed = True))
-#would mean that specific document would be compressed
-#regardless of the global pdf_compressed setting.
-pdf_documents = [
-('index', u'galette', u'Documentation de Galette', u'Johan Cwiklinski'),
-('usermanual/index', u'usermanual', u'Manuel Utilisateur de Galette', u'Johan Cwiklinski'),
-('installation/index', u'installation', u'Installation de Galette', u'Johan Cwiklinski'),
-('plugins/index', u'plugins', u'Plugins de Galette', u'Johan Cwiklinski'),
-]
-
-# A comma-separated list of custom stylesheets. Example:
-pdf_stylesheets = ['sphinx','kerning','a4']
-
-# Create a compressed PDF
-# Use True/False or 1/0
-# Example: compressed=True
-pdf_compressed = True
-
-# A colon-separated list of folders to search for fonts. Example:
-# pdf_font_path = ['/usr/share/fonts', '/usr/share/texmf-dist/fonts/']
-
-# Language to be used for hyphenation support
-pdf_language = "fr_FR"
-
-# Mode for literal blocks wider than the frame. Can be
-# overflow, shrink or truncate
-#pdf_fit_mode = "shrink"
-
-# Section level that forces a break page.
-# For example: 1 means top-level sections start in a new page
-# 0 means disabled
-pdf_break_level = 2
-
-# When a section starts in a new page, force it to be 'even', 'odd',
-# or just use 'any'
-#pdf_breakside = 'any'
-
-# Insert footnotes where they are defined instead of
-# at the end.
-#pdf_inline_footnotes = True
-
-# verbosity level. 0 1 or 2
-#pdf_verbosity = 0
-
-# If false, no index is generated.
-#pdf_use_index = True
-
-# If false, no modindex is generated.
-#pdf_use_modindex = False
-
-# If false, no coverpage is generated.
-#pdf_use_coverpage = True
-
-# Name of the cover page template to use
-#pdf_cover_template = 'sphinxcover.tmpl'
-pdf_cover_template = '_styles/templates/galette_cover.tmpl'
-
-# Documents to append as an appendix to all manuals.
-#pdf_appendices = []
-
-# Enable experimental feature to split table cells. Use it
-# if you get "DelayedTable too big" errors
-#pdf_splittables = False
-
-# Set the default DPI for images
-#pdf_default_dpi = 72
-
-# Enable rst2pdf extension modules (default is empty list)
-# you need vectorpdf for better sphinx's graphviz support
-#pdf_extensions = ['vectorpdf']
-pdf_extensions = ['dotted_toc']
-
-# Page template name for "regular" pages
-#pdf_page_template = 'cutePage'
-
-locale_dirs = ["locale"]
-gettext_uuid = True
-gettext_compact = False
-- 
2.20.1